package com.engine.attendance.enums;

import com.finance.toolkit.BaseEnum;

public enum RemainderHandleEnum implements BaseEnum {
    ROUND_UP_FOUR("0","四舍五入保留4位小数"),
    ROUND_UP_TWO("1","四舍五入保留2位小数"),
    DOWN_ZERO_POINT_FIVE("2","向下取0.5的倍数"),
    UP_ZERO_POINT_FIVE("3","向上取0.5的倍数"),
    ROUND_DOWN("4","向下取整"),
    ROUND_UP("5","向上取整");

    private String key;
    private String value;

    RemainderHandleEnum(String key, String value){
        this.key=key;
        this.value=value;
    }


    @Override
    public String getKey() {
        return this.key;
    }

    @Override
    public String getValue() {
        return this.value;
    }
}
